# AuthKeyboardInteractive (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.method
Class AuthKeyboardInteractive

    java.lang.Object
      net.schmizz.sshj.userauth.method.AbstractAuthMethod
          net.schmizz.sshj.userauth.method.AuthKeyboardInteractive

All Implemented Interfaces:
  SSHPacketHandler, AuthMethod

    public class AuthKeyboardInteractive

extends AbstractAuthMethod

Implements the `keyboard-interactive` authentication method.

Field Summary

Fields inherited from class net.schmizz.sshj.userauth.method.AbstractAuthMethod
`log, params`

Constructor Summary
`AuthKeyboardInteractive(ChallengeResponseProvider provider)`

Method Summary
`SSHPacket` `buildReq()` Builds a `SSHPacket` containing the fields common to all authentication method.
`void` `handle(Message cmd, SSHPacket buf)` Delegate handling of some SSH packet to this object.
`boolean` `shouldRetry()`

Methods inherited from class net.schmizz.sshj.userauth.method.AbstractAuthMethod
`getName, init, makeAccountResource, request`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthKeyboardInteractive

    public AuthKeyboardInteractive(ChallengeResponseProvider provider)

Method Detail

### buildReq

    public SSHPacket buildReq()
                       throws UserAuthException

  Description copied from class: `AbstractAuthMethod`
  Builds a `SSHPacket` containing the fields common to all authentication method. Method-specific fields can further be put into this buffer.

  Overrides:
    `buildReq` in class `AbstractAuthMethod`
  Throws:
    `UserAuthException`

### handle

    public void handle(Message cmd,
                       SSHPacket buf)
                throws UserAuthException,
                       TransportException

  Description copied from interface: `SSHPacketHandler`
  Delegate handling of some SSH packet to this object.

  Specified by:
    `handle` in interface `SSHPacketHandler`
  Overrides:
    `handle` in class `AbstractAuthMethod`
  Parameters:
    `cmd` - the SSH `message identifier`
    `buf` - `SSHPacket` containing rest of the request
  Throws:
    `UserAuthException`
    `TransportException`

### shouldRetry

    public boolean shouldRetry()

  Specified by:
    `shouldRetry` in interface `AuthMethod`
  Overrides:
    `shouldRetry` in class `AbstractAuthMethod`
  Returns:
    whether authentication should be reattempted if it failed.

Copyright © 2009-2011. All Rights Reserved.